
import java.io.Serializable;


// Interface de tous les agents qui effectuent un
// traitement sur le magasin
//
public interface Agent extends Serializable 
{

	// Traitement effectue par l'agent sur chaque hote
	//
	void traitement(String [] ingredient, Float [] prix, int taille);

	// Affiche le resultat des traitements
	// effectus par l'agent lorsque celui-ci
	// est revenu sur le site initiateur
	//
	void afficheResultat();

	// Renvoie l'hote suivant que l'agent
	// doit visiter
	//
	String hoteSuivant();

}
